> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/checks/redact-a-check.md).

# Redact check outcome

{% hint style="info" %}
This endpoint only applies to checks of type `document_check`.

It redacts selected fields from the completed check outcome, including extracted document data and extracted image features.

For the wider flow and result structure, see [Document Check](/documentation/product-guides/identity-verification/document-check.md).

For product guidance on redaction, see [the redaction guide](/documentation/product-guides/identity-verification/document-check/redaction.md).
{% endhint %}

### URL

<mark style="color:green;">**POST**</mark> `https://api.complycube.com/v1/checks/:id/redact`

Redacts selected attributes and image features from the outcome of the specified Document Check.

### Headers

<table><thead><tr><th width="272">Name</th><th width="92">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Content-Type</code><mark style="color:red;">*</mark></td><td>string</td><td>The content-type must always be set to <code>application/json</code>.</td></tr><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="274">Name</th><th width="92">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the check.</td></tr></tbody></table>

### Body

<table><thead><tr><th width="274">Name</th><th width="91">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>attributes</code></td><td><p>array</p><p>[string]</p></td><td>The list of <a href="#attributes">attributes</a> to redact from the document image.</td></tr><tr><td><code>images</code></td><td><p>array</p><p>[string]</p></td><td>The list of <a href="#images">images</a> to redact from the document image.</td></tr></tbody></table>

#### Attributes <a href="#attributes" id="attributes"></a>

| Event                     | Description                            |
| ------------------------- | -------------------------------------- |
| `address`                 | Redacts the address.                   |
| `birthPlace`              | Redacts the birth place.               |
| `dob`                     | Redacts the date of birth.             |
| `documentDiscriminator`   | Redacts the document discriminator.    |
| `documentNumber`          | Redacts the document number.           |
| `expirationDate`          | Redacts the expiration date.           |
| `firstName`               | Redacts the first name.                |
| `gender`                  | Redacts the gender.                    |
| `healthInsuranceNumber`   | Redacts the health insurance number.   |
| `issuingAuthority`        | Redacts the issuing authority.         |
| `issuingCountry`          | Redacts the issuing country.           |
| `issuingDate`             | Redacts the issuing date.              |
| `issuingPlace`            | Redacts the issuing place.             |
| `lastName`                | Redacts the last name.                 |
| `mrz`                     | Redacts the MRZ.                       |
| `nationality`             | Redacts the nationality.               |
| `personalNumber`          | Redacts the personal number.           |
| `taxIdentificationNumber` | Redacts the tax identification number. |

#### Images <a href="#images" id="images"></a>

| Event              | Description                                               |
| ------------------ | --------------------------------------------------------- |
| `all`              | Redacts the entire front and back images of the document. |
| `face`             | Redacts the faces or portraits.                           |
| `securityElements` | Redacts the security elements.                            |
| `signature`        | Redacts the signature.                                    |
| `code`             | Redacts codes (e.g. barcodes, QR codes).                  |
| `fingerprint`      | Redacts fingerprints.                                     |

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.complycube.com/v1/checks/{:checkId}/redact \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
          "attributes": [
               "documentNumber",
               "personalNumber",
               "issuingAuthority"
           ],
          "images": [
               "face"
           ]
        }'
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/checks/redact-a-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
